if ( SERVER ) then
	AddCSLuaFile( "shared.lua" );
end;

if ( CLIENT ) then
	SWEP.Slot				= 2;
	SWEP.SlotPos			= 1;
	SWEP.ViewModelFOV		= 60;
end;

SWEP.Base = "eps_base";

SWEP.PrintName			= "Shotgun";
SWEP.Author				= "Chewgum";
SWEP.Instructions = "";

SWEP.AdminSpawnable	= true;

SWEP.WorldModel = Model( "models/weapons/w_shotgun.mdl" );
SWEP.ViewModel = Model( "models/weapons/v_shotgun.mdl" );

SWEP.Primary.Sound 			= Sound( "Weapon_Shotgun.Single" );
SWEP.Primary.ClipSize		= 45;
SWEP.Primary.Delay			= 0.1;
SWEP.Primary.DefaultClip	= 500;
SWEP.Primary.Automatic		= true;
SWEP.Primary.Ammo			= "smg1";

SWEP.Secondary.ClipSize		= - 1;
SWEP.Secondary.DefaultClip	= 0;
SWEP.Secondary.Automatic	= true;
SWEP.Secondary.Ammo			= "";

SWEP.OriginalHoldType = "shotgun"
SWEP.HolsterHoldType = "passive"

function SWEP:Initialize()
	if ( SERVER ) then
		self:SetWeaponHoldType( "passive" );
	end;
end;
